<bugID>1200832<Summary>Async stacks aren't working in the console or debugger with javascript.options.asyncstack=true</Summary><Description>STR:

* Make sure javascript.options.asyncstack is set to true (Nightly and Dev Edition for now have this as the default)
* Open: data:text/html,&lt;script&gt;setTimeout(function foo() {setTimeout(function bar() {console.trace();debugger;}, 100);}, 100);&lt;/script&gt;

Expected - the trace shows:

  bar();
  foo();

Actual - the trace shows:

  bar();

I've noticed the same behavior with Promise resolutions too.</Description></bugID>